Xapian::ExpandDecider Class Referenceabstract

Virtual base class for expand decider functor. More...

Inheritance diagram for Xapian::ExpandDecider:
[legend]

## Public Member Functions

| ExpandDecider ()
| Default constructor.
virtual bool | operator() (const std::string &term) const =0
| Do we want this term in the ESet? More...
virtual | ~ExpandDecider ()
| Virtual destructor, because we have virtual methods. More...

## Detailed Description

Virtual base class for expand decider functor.

## Constructor & Destructor Documentation

virtual Xapian::ExpandDecider::~ExpandDecider | ( |  | ) |

virtual

Virtual destructor, because we have virtual methods.

## Member Function Documentation

virtual bool Xapian::ExpandDecider::operator() | ( | const std::string & | term | ) | const

pure virtual

Do we want this term in the ESet?

Parameters

  term | The term to test.

Implemented in Xapian::ExpandDeciderFilterPrefix, Xapian::ExpandDeciderFilterTerms, and Xapian::ExpandDeciderAnd.

The documentation for this class was generated from the following file:

- xapian/expanddecider.h